package dev.fitko.fitconnect.api.domain.model.event;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;
import java.util.UUID;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EventLogPayload {

    private UUID caseId;
    private UUID submissionId;
    private UUID destinationId;

    private String encryptedMetadata;
    private String encryptedData;
    private Map<UUID, String> encryptedAttachments;
}